API DocumentationManufacturer production step controller
Get batch transitions by step IDs
GET
Retrieves batch transitions for the specified production step IDs
Phasio API Bearer Tokenheader
AuthorizationBearer <token>stepIds*array<>Set of production step IDs to retrieve batch transitions for
Batch transitions retrieved successfully
application/json- response
[index: integer]?curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/batch-transitions/step-ids?stepIds=497f6eca-6276-4993-bfeb-53cbbbba6f08'[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "requisitionId": 0, "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e", "fromOperationId": "fae0f41a-4af6-4f23-9cc3-906148af8d4b", "fromOperationName": "string", "fromStepId": "cbb0dd4b-2e48-44e7-b0d2-25186d06042d", "fromStepBuildId": "string", "fromStepPrefix": "string", "batchSize": 0, "createdAt": "2019-08-24T14:15:22Z", "updateDt": "2019-08-24T14:15:22Z", "type": "string", "fromStatusId": "1a2a819d-d41f-45cf-afbf-1deeddd575d5", "fromStatusName": "string" }]